Subject: Re: [Hipsec] Follow-up on 4843bis / ORCHIDv2

From: "Laganier, Julien" <[email-masked]>
Date: Wed, 31 Mar 2010 19:09:44 -0700

What you're describing is being worked on in the LISP WG.

--julien

________________________________
On Mar 31, 2010 6:11 PM, [email-masked] <[email-masked]> wrote:

The flat assumption maybe enough for experiment, but we are pushing HIP into a PS status, so I think we should make it is ready for commercial.

Assuming that an ISP want to deploy a HIP network, he must consider of interworking with IPV6 network, so the hip prefix must be annouced as normal ipv6 prefix amongst the routers. If there are more than one ISP have deployed independent public hip network, the flat hip address space will introduce routing conflicts.

So maybe a hip adress assignment authority is required, and which bits represent the organization should be explicitly defined.

Or maybe I'm wrong?

Russell Wang

"Laganier, Julien" <[email-masked]>

2010-03-31 23:35

收件人
        "[email-masked]" <[email-masked]>, Varjonen Samu <[email-masked]>
抄送
        "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
主题
        RE: [Hipsec] Follow-up on 4843bis / ORCHIDv2

Maybe I'm blunt, but IMHO HIP identifiers are flat. If hierarchical allocation and management of identifier is a required feature, DNS names look like a better fit than Host Identities / Tags. There's already been some work on name-based sockets, e.g., see this paper from Christian Vogt.

<http://christianvogt.mailup.net/pub/2009/vogt-2009-name-oriented-sockets.pdf>

[email-masked] wrote:
>
>
> Does ORCHID consider any commercial deployment requirements?
> If HIP could be commercial deployed, HIP ID should be divided into many sub-pieces
> and allocated to service providers or other organizations .
>
>
> Russell Wang

--------------------------------------------------------
ZTE Information Security Notice: The information contained in this mail is solely property of the sender's organization. This mail communication is confidential. Recipients named above are obligated to maintain secrecy and are not permitted to disclose the contents of this communication to others.
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed. If you have received this email in error please notify the originator of the message. Any views expressed in this message are those of the individual sender.
This message has been scanned for viruses and Spam by ZTE Anti-Spam sys